import config from '../../config/config';
export default {

	status:{
		'pay':{
			title:'立即付款',
			main:true,
			status:2
		},
		'cancel':{
			title:'取消订单',
			status:0,	// 取消之后的状态编码
			// delete:true,  // 是否被删除
		},
		'aftermarket':{
			title:'申请退款',
			fail:true,
			status:6,  // 发起成功之后的状态
		},
		'distribution':{
			title:'配送计划',
			main:true,
		},
		'comment':{
			title:'评价',
			main:true,
			status:5,  // 发起成功之后的状态
		},
		'confirm':{
			title:'确认收货',
			main:true,
			status:4
		}
	},

	createdUpdateObj:function(name,parentItem,index,msg,page=false){

		let item = this.status[name];

		return {
			toStatus: item.status,
			name: name,
			config: item,
			item: parentItem,
			index: index,
			id: parentItem['id'],
			delete: item.delete || false,
			reload: item.reload || false,
			msg:msg,
			page
		};

	},

	statusInfo:{
		// 已取消
		'0':{
			label:'已取消'
		},
		// 待付款
		'1':{
			label:'待付款',
			buttonGroup:['cancel','pay'],
			icon:'wallet'
		},
		// 待发货
		'2':{
			label:'待发货',
			icon:'deliver',
			buttonGroup:['aftermarket']
		},
		// 待收货
		'3':{
			label:'待收货',
			buttonGroup:['confirm'],
			icon:'receiving'
		},
		// 周期购待收货
		'a3':{
			label:'待收货',
			icon:'receiving',
			buttonGroup:['distribution']
		},
		// 待评价
		'4':{
			label:'待评价',
			buttonGroup:['comment'],
			icon:'comment'
		},
		// 已完成
		'5':{
			label:'已完成'
		},
		'6':{
			label:'退款申请中',
			icon:'refund'
		},
		'7':{
			label:'待发货给商家',
			icon:'refund'
		},
		'8':{
			label:'退款完成',
			icon:'refund'
		},
		'9':{
			label:'退款拒绝',
			icon:'refund'
		}
	},

	createOrderNumberDefaultStatus(item){
		let status = parseInt(item.status);

		if (item.have_paid) {
			status = 2;
		}

		if (item.have_delivered) {
			status = 3;
		}

		if (item.have_received) {
			status = 4;
		}

		if (item.have_commented) {
			status = 5;
		}

		return status;
	},

	createOrderDefaultStatus(item){
		let status = parseInt(item.status);

		if (item.have_paid) {
			status = 2;
		}

		if (item.have_delivered) {
			if (item.is_datebuy) {
				status = 'a3';
			} else {
				status = 3;
			}
		}

		if (item.have_received) {
			status = 4;
		}

		if (item.have_commented) {
			status = 5;
		}

		return status;
	},

	createdOrderStatus(item){

		let status = this.createOrderDefaultStatus(item);

		// 如果售后状态为 真
		if (item.refund_status) {
			status = 5 + item.refund_status;
		}

		return status;
	},


	getOrderStatus:function(status){

		let item = this.statusInfo[status] || {}

		return {
			...item,
			status
		};
	}

}
